Subject: [bug#29409] [PATCH] system: vm: Do not add EFI partition on ARM system.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 01 Dec 2017 12:01:27 +0100

[email-masked] skribis:

> From: Mathieu Othacehe <[email-masked]>
>
> * gnu/system/vm.scm (qemu-img): Do not add EFI partition if we are targetting
>   ARM.
>
> UEFI support on u-boot is still experimental, so do not add EFI partition on
> ARM for now.

[...]

> +                    ;; Append a small EFI System Partition for use with UEFI
> +                    ;; bootloaders if we are not targetting ARM.

+ “because UEFI support in U-Boot is experimental.”

> +                    (if #$(target-arm32?)
> +                        '()

Also can you add something like:

  ;; FIXME: ‘target-arm32?’ may be not operate on the right
  ;; system/target values.  Rewrite using ‘let-system’ when available.

OK with these changes, thank you!

And sorry for not completing ‘let-system’ in type.  I plan to resume
soonish but I figured I’d rather focus on the new release now.

Ludo’.